﻿using UnityEngine;
using System.Collections;

public class AnimationHandler : MonoBehaviour
{
    public int animationState;
       
    public GameObject deadAnimation;
    public GameObject idleAnimation;
    public GameObject walkAnimation;

    void Start()
    {
        ChangeAnimationState(animationState);
    }

    void Update()
    {
        
    }

    public void ChangeAnimationState(int animState)
    {
        this.animationState = animState;

        switch(animationState)
        {
            case 0: // walk
                deadAnimation.SetActive(false);
                idleAnimation.SetActive(false);
                walkAnimation.SetActive(true);
                break;
            case 1: // idle
                deadAnimation.SetActive(false);
                idleAnimation.SetActive(true);
                walkAnimation.SetActive(false);
                break;
            case 2: // dead
                deadAnimation.SetActive(true);
                idleAnimation.SetActive(false);
                walkAnimation.SetActive(false);
                break;
        }
    }
}
